image: 
  name: foliant/foliant
  entrypoint: [""]

.pdf:
  variables:
    DEBIAN_FRONTEND: "noninteractive"
  script:
    - apt-get update
    - apt-get -y --fix-missing install wget wkhtmltopdf plantuml
    - wget https://github.com/jgm/pandoc/releases/download/2.0.5/pandoc-2.0.5-1-amd64.deb && dpkg -i pandoc-2.0.5-1-amd64.deb
    - python3 -m pip install foliantcontrib.pandoc
    - foliant make pdf
  artifacts:
    paths:
      - s3app.pdf

pages:
  script:
    - pip3 install -r ./requirements.txt
    - pip3 install mkdocs-material
    - apt-get update
    - DEBIAN_FRONTEND=noninteractive TZ=Etc/UTC apt-get install -y sudo curl ca-certificates fonts-liberation libappindicator3-1 libasound2 libatk-bridge2.0-0 libatk1.0-0 libc6 libcairo2 libcups2 libdbus-1-3 libexpat1 libfontconfig1 libgbm1 libgcc1 libglib2.0-0 libgtk-3-0 libnspr4 libnss3 libpango-1.0-0 libpangocairo-1.0-0 libstdc++6 libx11-6 libx11-xcb1 libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxext6 libxfixes3 libxi6 libxrandr2 libxrender1 libxss1 libxtst6 lsb-release wget xdg-utils plantuml
    - curl -fsSL https://deb.nodesource.com/setup_18.x | bash -
    - apt-get install -y nodejs
    - sudo npm install -g bpmn-to-image@0.5.1
    - CI_EDIT_PREFIX="-/edit/${CI_COMMIT_BRANCH}/src/" foliant make site -w mkdocs -d
    - mv s3app-intro.mkdocs public
  only:
    refs:
      - main
      - production
  artifacts:
    paths:
    - public

pdf_main:
  extends: .pdf
  only:
    refs:
      - main
      - production

pdf_manual:
  extends: .pdf
  when: manual
